// TODO: - [x] Rewrite new switch generating function based on custom routes object
// TODO: - [x] Make condition for base path in Router, for "/" in main.base_path don't add to Router
// TODO: - [x] Rewrite DevControlPanel to use custom routes object

import { useEffect } from "react";
import { useTranslation } from "react-i18next";
import { Outlet, useLocation, useNavigate } from "react-router-dom";
import useLocalStorage from "./hooks/useLocalStorage";

function App() {
	// Hook to manage language state in local storage
	const [language] = useLocalStorage("language", "eng");
	const [isLoggedIn] = useLocalStorage("isLoggedIn", false);
	const { i18n } = useTranslation();
	const navigate = useNavigate();
	const location = useLocation();

	// Effect to change language based on state
	useEffect(() => {
		i18n.changeLanguage(language);
	}, [language]);
	// Redirect to login page if not logged in
	useEffect(() => {
		if (!isLoggedIn && location.pathname !== "/login") {
			navigate("/login");
		}
	}, [isLoggedIn]);

	// Conditional rendering based on base path
	return <Outlet />;
}

export default App;
