import { useTranslation } from "react-i18next";
import { FiLogOut } from "react-icons/fi";
import { useNavigate } from "react-router-dom";
import useLocalStorage from "../../hooks/useLocalStorage";
import RoundButtonBase from "../atoms/RoundButtonBase";
import IconBase from "../molecules/IconBase";

const LogoutButton = () => {
	const [, setIsLoggedIn] = useLocalStorage("isLoggedIn", false);
	const navigate = useNavigate();
	const { t } = useTranslation();
	return (
		<RoundButtonBase
			buttonProps={{
				onClick: () => {
					setIsLoggedIn(false);
					navigate("/login");
				},
			}}
			tooltipText={t("button.action.logout")}
		>
			<IconBase>
				<FiLogOut />
			</IconBase>
		</RoundButtonBase>
	);
};

export default LogoutButton;
