import { useState } from "react";
import { useTranslation } from "react-i18next";
import { Outlet } from "react-router-dom";
import HomePageTemplate from "../components/templates/HomePageTemplate";

const HomePage = () => {
	const [counter, setCounter] = useState(0);
	const { t } = useTranslation();

	return (
		<>
			<HomePageTemplate
				buttonLabel={t("homePage.click_me", "Click me!!!")}
				buttonOnClick={() => {
					if (counter >= 10) {
						setCounter(0);
						return;
					} else setCounter(counter + 1);
				}}
				value={counter}
			/>
			<Outlet />
		</>
	);
};

export default HomePage;
